/* CASCADE STYLE SHEET */

/* GLOBALS */
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
@font-face {
    font-family: 'Poppins Bold';
    src: url("/fonts/Poppins/Poppins-Bold.ttf");
}

@font-face {
    font-family: 'Poppins Regular';
    src: url("/fonts/Poppins/Poppins-Regular.ttf");
}

h1,h2,h3,h4,a,p,span{
    font-family: 'Poppins Regular';
}

h1,h2,h3,h4{
	color:#ffffff;
}

h1,h3,h4,a,p,span{
	margin: 0;
}

img{
	max-width: 100%;
}

body{
	background-color:  var( --theme-display-background-color );
	min-width: 120px;
	height: 100%;
}

/* HEADER */

header{
	margin: 0% 5%;
	width:90%;
}

header>figure{
	height: auto;
	margin-bottom: 20px;
}

header>figure>img{
	src: local( "./img/header-banner-img-avchd.jpg" );
	width: 100%;
	min-width:100%;
}

header>figure>figcaption {
	position: absolute;
	background-color: transparent;
	top: 1vw;
	padding-bottom: 1vw;
	width: 90%;
	max-height: 7vw;
	text-align: center;
	font-size: 6vw;
	color: var( --theme-display-background-color );
	text-shadow: 1px 1px var( --theme-display-text-color );
}

#absolute-burger-div{
	position:absolute;
	left:0px;
	width:100%;
	top: 11vw;
	display:flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
}
#verte-burger-menu-img{
	position:relative;
	background-color:green;
	width:8vw;
	height:8vw;
	border-radius: 50%;
	cursor:pointer;
}

.maj-3{
	color: #00ff00;
}
.maj-2, .maj-4{
	color:#00b000;
}
.maj-1, .maj-5{
	color:green;
}
/* MENU */
nav{
	background-color: var( --theme-display-grey-2-color );
	border:  var( --theme-display-text-color ) solid 0.3px;
	border-radius: 10px;
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
	align-items: center;
	flex-wrap: wrap;
	margin: 30px 5%;
	width:90%;
}

a{
	color: var( --theme-display-text-color );
}

nav a{
	margin: 5px auto;
	padding: 5px;
	text-decoration: none;
}

nav figure{
	text-align:center;
	border-radius: 5px;
}

nav>a>figure>img, nav>a.nolink>figure>img{
	border-radius: 5px;
	max-width: 80%;
	height:auto;
	margin: 10% 0 0 0;
    transform: scale(1);
    filter: grayscale(0);
	border: 5px blur(3px);
    transition: transform 0.5s ease-out, filter 0.1s linear, border-radius 0.5s ease-out;
}
nav>a.selected>figure>img{
    border-radius: 50%;
}
nav>a>figure>img:hover{
    transform: scale(1.2);
    border-radius: 50%;
}
nav>a.nolink>figure>img:hover{
    transform: scale(1.2);
    filter: grayscale(1);
	border-radius: 50%;
}

nav figcaption{
	padding: 5px 1px;
	font-style: italic;
}
nav>a:hover>figure>figcaption{
	color:#00b000;
}
nav>a.selected>figure>figcaption{
	color:#00b000;
	text-decoration: underline;
}
nav>a.nolink>figure>figcaption{
	color: var( --theme-display-text-color );
}

.square-menu-img{
	min-width: 60px;
	min-height: 60px;
	max-width: 60px;
	max-height: 60px;
}

.nom-de-famille{
	text-transform: uppercase;
}
/* MAIN */

#scroll-up-black,#scroll-up-white{
	position:fixed;
	right: 2vh;
	bottom: 4vw;
	background-color: var( --theme-display-background-color );
	cursor: pointer;
	border-radius: 50%;
}

.verte-scroll-up{
	max-height: 50px;
	max-width: 50px;
	border-radius: 50%;
}

main{
	margin: 0%;
	width: 100%;
	text-align: center;
}

section{
	display: flex;
	flex-direction: column;
	/* flex-wrap: wrap; */
	justify-content: space-between;
	align-items: center;
	padding: 10px;
	border:  var( --theme-display-text-color ) solid 0.3px;
	border-radius: 10px;
	min-height: 72vh;
	margin: 25px 5% 0;
	width: 90%;
}

section>article{
	display: flex;
	flex-direction: column;
	align-items: center;
	flex-wrap: wrap;
	justify-content: center;
	width: 100%;
    padding: 5%;
	color: var( --theme-display-text-color );
}

section p{
	width: 100%;
	text-align: justify;
	padding-top: 15px;
    font-size:larger;
	color: var( --theme-display-text-color );
}

.center{
	text-align: center;
}

.full-width{
	width: 100%;
}

textarea,input,button,.button
{
	background-color: var( --theme-display-grey-2-color );
	color: var( --theme-display-text-color );
}

button,.button{
	cursor:pointer;
}

label
{
	color: var( --theme-display-text-color );
}

h1{
	font-size: 3.6em;
	padding-bottom: 0.2em;
}

h2,h3{
	font-size: 3.1vw;
	padding: 0;
	width:100%;
}

h2{
	margin:auto;
	width:fit-content;
}

h3{
	font-size: 2.5vw;
}

.hscroll>a>figure{
	width: 10vw;
}

#mentions-legales>article>h2,#mentions-legales>article>h3{
	font-size: 3.2em;
	padding-top: 1em;
	padding-bottom: 0.2em;
}

audio{
	margin-top: 40px;
}

.signature-div{
	display: flex;
	flex-direction: row;
	align-items: end;
	flex-wrap: wrap;
	justify-content: flex-end;
	max-width: 300px;
	max-height: 150px;
    margin-bottom: 2em;
	margin-right: 0;
}

.signature-a{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	position:relative;
	flex:1;
}

.signature-figure{
	display: flex;
	flex-direction: row;
	align-items: end;
	flex-wrap: wrap;
	justify-content: center;
	max-width: 300px;
	/* max-height: 150px; */
}

.signature-img{
	max-width: 150px;
	max-height: 150px;
	border-radius: 75px;
    transform: scale(1);
    filter: grayscale(0);
    transition: transform 0.5s ease-out, filter 0.1s linear;
}

.signature-a:hover .signature-img{
    transform: scale(1.2);
    filter: grayscale(0.2);
}

.signature-figure figcaption{
	width: auto;
	font-size: large;
	color: var( --theme-display-text-color );
	margin: 1em 0;
}

.flex-row{
	display:flex;
	flex-direction: row;
	gap: 2.5%;
	justify-content: center;
	align-items: center;
}

.flex-column{
	display:flex;
	flex-direction: column;
	gap: 2.5%;
	justify-content: center;
	align-items: center;
}

.section{
    min-height: 72vh;
}

.gap5pct,.gap5pct1{
	padding:2.5%;
	gap:2.5%;
	width:100%;
}

.gap5pct{
	flex-wrap: wrap-reverse; 
}

.grey1-bg{
	background-color: var( --theme-display-grey-2-color );
}

.grey2-bg{
	background-color: var( --theme-display-grey-1-color );
}

.section#ajouter-texte{
    align-items: center;
    justify-content: space-around;
}

.artiste-figure>img{
	border-radius:50%;
}

form{
    width:100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
    padding: 10px;
}

form>div{
    width:100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
    padding: 10px;
}
input,button{
	margin: 5px;
    padding: 10px;
}


.reservation-revue-quantite,.reservation-revue-email,.reservation-revue-reserver{
	width:auto;
}

textarea{
    margin-top: 20px;
    padding: 10px;
}

select{
    padding: 10px;
}

article{
    align-items: center;
    justify-content: center;
    padding-top:50px;
}

.flash-success,.flash-error,.flash-warning{
	margin: 10px 5%;
	padding: 30px;
	border-radius: 45px;
	color: black;
	font-size: 30px;
}

.flash-success{
	background-color: #00ff00;
}

.flash-error{
	background-color: red;
}

.flash-warning{
	background-color: orange;
}

.suite-btn{
    margin:30px;
	background-color: #00ff00;
	color: black;
	padding:15px;
	border-radius: 10px;
	cursor:pointer;
}

.pub{
    margin-top:30px;
    padding:20px;
	border:#00ff00 solid;
	border-radius: 15px;
}

p{
    text-align: center;
}

.section>nav{
    width: 97%;
}
.hidden{
    display: none;
	width:100%;
	padding:5%;
}

table{
	border-style: outset;
	margin-top: 40px;
}
td,th{
	border-style:solid;
	border-width: 1px;
	margin:0px;
	padding:3px;
}

footer{
	background-color: var( --theme-display-grey-2-color );
	border:  var( --theme-display-text-color ) solid 0.3px;
	border-radius: 10px;
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
	align-items: center;
	flex-wrap: wrap;
	margin: 30px 5%;
	width:90%;
	min-height:50px;
	/* padding: 20px; */
	text-align: center;
	cursor: pointer;
}

small{
	color: var( --theme-display-text-color );
}

@media screen and ( width > 1000px )
{
	.reservation-revue-quantite,.reservation-revue-email,.reservation-revue-reserver{
		width:auto;
	}

	#verte-main-menu{
		display:flex;
	}

	.scroll-up{
		max-height: 30px;
		max-width: 30px;
	}
	#absolute-burger-div{
		display:none;
	}
	
	header>figure>img#header-bg{
		src: local( "../img/header-banner-img-medium.jpg" );
	}
	
	header>figure>figcaption {
		text-shadow: 2px 2px var( --theme-display-text-color );
	}
	
	h1{
		font-size: 2.4em;
	}

	section p{
		margin: 5% 1% 0;
		width: 98%;
	}

}

@media screen and ( width < 1500px )
{
	
	header>figure>img{
		src: local( "../img/header-banner-img-hd.jpg" );
	}
	
	div#menu-and-main{
		flex-direction: column;
	}

}

@media screen and ( width < 600px )
{

	section>article{
		padding: 10px;
	}

	.signature-div{
		width: 50px;
		max-width: 50px;
	}
	
	.signature-a{
		max-width: 50px;
	}
	
	.signature-figure{
		max-width: 50px;
	}
	
	.signature-img{
		max-width: 50px;
		max-height: 50px;
		border-radius: 25px;
	}
}



@media screen and ( width < 350px )
{
	
	header>figure>img{
		src: local( "../img/header-banner-img-small.jpg" );
	}

	nav{
		padding: 5px;
	}
	
	nav a{
		padding: 1.5px;
	}
	
	nav img{
		max-width: 80px;
	}

	nav figcaption{
		font-size: 0.6em;
	}
	
	section>article{
		padding: 10px 0;
	}

	h1{
		font-size: 1.4em;
	}

	h2{
		font-size: 0.6em;
	}

	section p{
		font-size: 0.4em;
		margin: 5% 1% 0;
		width: 98%;
	}

	.signature-div{
		flex-direction: column;
		align-items: end;
		flex-wrap: wrap;
		align-content: center;
		margin-right: 2em;
	}
	.signature-figure figcaption{
		font-size: 0.6em;
	}
	
}

@media screen and ( width < 200px )
{
	
	
	header>figure>figcaption{
		font-size: 1em;
	}

	nav img{
		max-width: 60px;
	}

	nav figcaption{
		font-size: 0.4em;
	}

	h1{
		font-size: 0.9em;
	}

	h2{
		font-size: 0.3em;
	}

	section p{
		font-size: 0.2em;
		margin: 5% 1% 0;
		width: 98%;
	}

	.signature-div{
		width: 50px;
		max-width: 50px;
		max-height: fit-content;
		height: auto;
	}
	
	.signature-a{
		max-width: 50px;
		max-height: fit-content;
		height: auto;
	}
	
	.signature-figure{
		max-width: 50px;
		max-height: fit-content;
		height: auto;
	}
	
	.signature-img{
		max-width: 30px;
		max-height: 30px;
		border-radius: 15px;
	}

	.signature-figure figcaption{
		font-size: 0.35em;
	}
	
}


@media screen and ( width < 120px )
{
	header>figure>figcaption{
		font-size: 1em;
	}

	nav img{
		max-width: 60px;
	}

	nav figcaption{
		font-size: 0.4em;
	}

	h1{
		font-size: 0.7em;
	}

	h2{
		font-size: 0.3em;
	}

	section p{
		font-size: 0.2em;
		margin: 5% 1% 0;
		width: 98%;
	}

	.signature-div{
		width: 50px;
		max-width: 50px;
		max-height: fit-content;
		height: auto;
	}
	
	.signature-a{
		max-width: 50px;
		max-height: fit-content;
		height: auto;
	}
	
	.signature-figure{
		max-width: 50px;
		max-height: fit-content;
		height: auto;
	}
	
	.signature-img{
		max-width: 30px;
		max-height: 30px;
		border-radius: 15px;
	}

	.signature-figure figcaption{
		font-size: 0.35em;
	}
	
}